package com.hzya.frame.sys.menuConfig.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 系统菜单表(SysMenuConfig)实体类
 *
 * @author makejava
 * @since 2024-03-26 15:23:52
 */
public class SysMenuConfigEntity extends BaseEntity {

    /**
     * 上级菜单ID（0表示无上级）
     */
    private String parentMenuId;
    /**
     * 所属菜单层级
     */
    private String menuEntity;
    /**
     * 菜单深度
     */
    private Long depth;
    /**
     * 菜单名称
     */
    private String menuName;
    /**
     * 菜单英文名称
     */
    private String menuEnglishName;
    /**
     * 图标样式
     */
    private String menuIcon;
    /**
     * 页面路由
     */
    private String route;
    /**
     * 页面
     */
    private String menuPage;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否可见（1、可见2、不可见）
     */
    private String visibles;
    /**
     * 显示类型（1、菜单2、弹窗）
     */
    private String showType;
    /**
     * 公司id
     */
    private String companyId;


    public String getParentMenuId() {
        return parentMenuId;
    }

    public void setParentMenuId(String parentMenuId) {
        this.parentMenuId = parentMenuId;
    }

    public String getMenuEntity() {
        return menuEntity;
    }

    public void setMenuEntity(String menuEntity) {
        this.menuEntity = menuEntity;
    }

    public Long getDepth() {
        return depth;
    }

    public void setDepth(Long depth) {
        this.depth = depth;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuEnglishName() {
        return menuEnglishName;
    }

    public void setMenuEnglishName(String menuEnglishName) {
        this.menuEnglishName = menuEnglishName;
    }

    public String getMenuIcon() {
        return menuIcon;
    }

    public void setMenuIcon(String menuIcon) {
        this.menuIcon = menuIcon;
    }

    public String getRoute() {
        return route;
    }

    public void setRoute(String route) {
        this.route = route;
    }

    public String getMenuPage() {
        return menuPage;
    }

    public void setMenuPage(String menuPage) {
        this.menuPage = menuPage;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVisibles() {
        return visibles;
    }

    public void setVisibles(String visibles) {
        this.visibles = visibles;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

