package com.hzya.frame.sys.login.impl;

import cn.dev33.satoken.stp.SaTokenInfo;
import cn.dev33.satoken.stp.StpUtil;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.login.ILoginService;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.stereotype.Service;

/**
 * @Description 登录
 * @Author xiangerlin
 * @Date 2022/12/20 16:09
 **/
@Service(value = "loginService")
public class LoginServiceImpl implements ILoginService {
    /**
     * 登录
     *
     * @param requestJsonData
     * @return
     * @throws Exception
     */
    @Override
    public JsonResultEntity doLogin(JSONObject requestJsonData) throws Exception {
        //登录
        StpUtil.login("1");
        //获取token
        SaTokenInfo tokenInfo = StpUtil.getTokenInfo();
        String token = tokenInfo.getTokenValue();
        //返回值
        JSONObject res = new JSONObject();
        res.put("token", token);
        res.put("token", token);
        return BaseResult.getSuccessMessageEntity("登录成功", res);
    }
}
