package com.hzya.frame.sys.menuConfig.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.menuConfig.entity.SysMenuConfigEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 系统菜单表(SysMenuConfig)表服务接口
 *
 * @author makejava
 * @since 2024-03-26 15:23:53
 */
public interface ISysMenuConfigService extends IBaseService<SysMenuConfigEntity, String> {

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 根据用户id查询菜单树
     * @Date 9:40 上午 2022/12/7
     **/
    JsonResultEntity queryTree(JSONObject jsonObject);
}
