package com.hzya.frame.webapp.entrance.controler;

import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.webapp.entrance.service.IEntranceService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

/**
 * @Content程序唯一入口controller
 * @Author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @Date 2022-12-07 8:46
 * @Version 1.0
 */
@RestControllerAdvice
@RestController
@RequestMapping("/entranceController")
public class EntranceController {
    private final Logger logger = LoggerFactory.getLogger(EntranceController.class);

    @Autowired
    @Qualifier(value = "entranceServiceImpl")
    private IEntranceService entranceService;

    @RequestMapping(value = "/option")
    @ResponseBody
    public JsonResultEntity option(ServletRequest servletRequest, ServletResponse servletResponse) throws Exception {
        return entranceService.doBusiness(servletRequest, servletResponse);
    }

}
